Skip to content

List risk rating jobs

Request

Lists risk rating jobs for a specific entity.

Security
oauth2_client_credentials or oauth2_authorization_code
Path
entitystringrequired

The entity id.

Query
pageSizeinteger, (int32)(page_size)

Optional. The maximum number of jobs to return. The service may return fewer than this value. If unspecified, at most 10 jobs will be returned. The maximum value is 100; values above 100 will be coerced to 100.

pageTokenstring(page_token)

Optional. A page token, received from a previous ListIndividualEntityRiskRatingJobs call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListIndividualEntityRiskRatingJobs must match the call that provided the page token.

skipinteger, (int32), >= 0(skip)

Optional. The number of jobs to skip before starting to collect the result set.

curl -i -X GET \
  'https://docs.bndry.net/_mock/apis/openapi/v1alpha/entities/{entity}/individualEntityRiskRatingJobs?pageSize=25&pageToken=ChAIAhABGAEiAggC&skip=0' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
individualEntityRiskRatingJobsArray of objects(individual_entity_risk_rating_jobs)

The list of risk rating jobs.

nextPageTokenstring(next_page_token)

A token to retrieve the next page of results, or empty if there are no more results in the list.

totalSizeinteger, (int32)(total_size)

The total number of jobs matching the request.

Response
{ "individualEntityRiskRatingJobs": [ {} ], "nextPageToken": "cn8DAQEsQ3Vyc29yUGFnZVRva2VuW2dpdGh1Yi5jb20vZ29vZ2xlL3V1aWQuVVVJRF0B_4AAAQQBBkN1cnNvcgH_ggABBFNraXABBAABC1Nob3dEZWxldGVkAQIAAQ9SZXF1ZXN0Q2hlY2tzdW0BBgAAAAr_gQYBAv-EAAAAG_-AARABmJ6h3ll2WY12-UroKTKHA_x1wJ5cAA==", "totalSize": 47 }